<template>
  <div>
    <div class="layout-content-padding">
      <div class="layout-content-main">
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="来料请检" name="report">
            <otherReport ref="reportTabs"></otherReport>
          </el-tab-pane>
          <el-tab-pane label="来料历史请检" name="his">
            <otherReportHis ref="hisTabs"></otherReportHis>
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>
<script>
import otherReportHis from './tabs/otherContractHis'
import otherReport from './tabs/otherContract'
export default {
  components: { otherReportHis, otherReport },
  data() {
    return {
      activeName: 'report'
    }
  },
  mounted() {
    this.activeName = 'report'
    this._page()
  },
  methods: {
    _changeTabs(tab, event) {
      if (tab.name === 'report') {
        this._page()
      } else {
        this.$refs.hisTabs._page()
      }
    },
    _page() {
      this.$refs.reportTabs._page()
    }
  }
}
</script>
